Subject: Re: [PATCH 0/2] utf8: change return type of some helpers from int to size_t

From: Junio C Hamano <[email-masked]>
Date: Sun, 17 Mar 2024 09:51:50 -0700

"Mohit Marathe via GitGitGadget" <[email-masked]> writes:

> There are lot of places in the codebase where int is used to store size of
> an object instead of size_t (which is better alternative due to reasons like
> portability, readability, etc). This patch series accomplishes one such
> #TODO comment, which addresses this issue.

Nice. In principle this is the right thing to do.

To reviewers, if I were reviewing this series (which I will not in
the next 24 hours), I'd pay particular attention to the callers that
currently accept "int" and use negative return value as an sign of a
failure.  Moving to "size_t" from "int" will break such callers.

Thanks.